Page MenuHomePhabricator

[WIP][mlir][flang] use OpBuilder in <Op>::build methods
ClosedPublic

Authored by ftynse on Apr 23 2020, 7:11 AM.

Diff Detail

Event Timeline

ftynse created this revision.Apr 23 2020, 7:11 AM
nicolasvasilache accepted this revision.Apr 23 2020, 7:37 AM

Good to go on my end, let's wait for @rriddle to confirm.

rriddle accepted this revision.Apr 23 2020, 11:18 AM
ChinouneMehdi added projects: Restricted Project, Restricted Project.Apr 24 2020, 11:29 PM
DavidTruby resigned from this revision.Apr 25 2020, 9:04 AM
herhut accepted this revision.Apr 27 2020, 4:20 AM

Thanks for the cleanup!

There is an update to FIR waiting here. https://reviews.llvm.org/D78835

schweitz added a comment.EditedApr 27 2020, 10:35 AM

Looks good to me. What was the motivation behind threading Builder over OpBuilder? (specifically in the flang/FIR changes)

schweitz accepted this revision.Apr 27 2020, 10:36 AM

Looks good to me. What was the motivation behind threading Builder over OpBuilder?

See: https://llvm.discourse.group/t/rfc-make-opty-build-take-opbuilder-instead-of-builder/974

There is an update to FIR waiting here. https://reviews.llvm.org/D78835

If you are ready to land that, feel free to go ahead, I'll fix up when this lands.

This revision was not accepted when it landed; it landed in state Needs Review.Apr 28 2020, 2:07 AM
This revision was automatically updated to reflect the committed changes.